[ic] LinkPoint Requires LPPERL...

Josh Lavin josh at myprivacy.ca
Mon Nov 20 20:22:36 EST 2006

On Nov 20, 2006, at 3:15 PM, Mailing Lists wrote:
> On Mon, 2006-11-20 at 12:43 -0600, Josh Lavin wrote:
>> On Nov 20, 2006, at 12:34 PM, Mailing Lists wrote:
>>> this seems pretty simple, but I can't seem to get past this. I'm
>>> trying
>>> to set up LinkPoint  to use YourPay as a payment gateway.
>>> I downloaded the LinkPoint API, and copied the following files to
>>> my /usr/lib/ directory:
>>>   -rw-r--r--    1 root     root        17773 Nov 20 10:56  
>>> liblperl.so
>>>   -rw-r--r--    1 root     root        15242 Nov 20 10:56  
>>> liblpssl.so
>>> I copied put the following file to my /usr/lib/perl5/site_perl/ 
>>> 5.8.0/
>>> directory
>>>   -rw-r--r--    1 root     root        19813 Nov 20 12:59 lpperl.pm
>>> Then I added the following to my interchange.cfg file:
>>>   Require module Vend::Payment::Linkpoint3
>>> Now When I restart IC, I get the following error:
>>> Vend::Payment::Linkpoint3 requires LPPERL
>>> while eval'ing module Vend::Payment::Linkpoint3 got
>>> [Vend::Payment::Linkpoint3 requires LPPERL
>>> at /usr/local/interchange-5.4.0/lib/Vend/Payment/Linkpoint3.pm line
>>> 12.
>>> BEGIN failed--compilation aborted
>>> at /usr/local/interchange-5.4.0/lib/Vend/Payment/Linkpoint3.pm line
>>> 17.
>>> Compilation failed in require at (eval 16) line 1.
>>> ]
>>> Sending debug messages to debug.log.
>>> How do I install LPPERL?
>> I installed my Linkpoint stuff the exact same way and it works,
>> except I used the module included with IC, not Linkpoint3.pm. Why
>> don't you try the default one and see if that works?
> I just downloaded both Linkpoint.pm and Linkpoint3.pm from the rtfm
> site, and both failed with the same error. I also chmod ugo+x both of
> the .so files? are these the right permissions? Why are these  
> available
> only as binaries and not as source? What should I do next?

I stand corrected: I placed lpperl.pm in my /usr/LOCAL/lib/perl5/ 
site_perl directory, because I had installed a custom non-threaded  
Perl in /usr/local/bin. You may need to double-check that you are  
putting lpperl.pm in the proper directory (if you have a different  
Perl like I do). It seems your Perl can't find the module.

My liblp*.so files are 622, like you had in your initial dir listing.

Josh Lavin
Kingdom Design   http://www.kingdomdesign.com/

More information about the interchange-users mailing list